%mingw_package

%define pkgname libssl
%define libversion 0.9.8

Name: %cross_arch-%pkgname
Version: 0.9.8a
Release: alt1

Summary: MinGW32 port of OpenSSL library
License: distributable
Group: System/Libraries
Url: http://openssl.org/

BuildArch: noarch

Packager: Damir Shayhutdinov <damir@altlinux.ru>

Source: http://www.openssl.org/source/openssl-%version.tar.gz
Patch1: openssl-0.9.8a-mingw32.patch

BuildPreReq: i386-mingw32msvc-binutils i386-mingw32msvc-gcc-c++
BuildPreReq: i386-mingw32msvc-runtime
BuildPreReq: i386-mingw32msvc-zlib-devel

%package devel
Summary: Development environment for Mingw32 port of OpenSSL
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static library for Mingw32 port of OpenSSL
Group: Development/C
Requires: %name-devel = %version-%release

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols with full-strength cryptography world-wide.  The project is
managed by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL tookit and its related
documentation.

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes.

This package contains the OpenSSL shared libraries built for MinGW32 target.

%description devel
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols with full-strength cryptography world-wide.  The project is
managed by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL tookit and its related
documentation.

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes.

This package contains include files and development libraries required when building OpenSSL-based applications for MinGW32 target.

%description devel-static
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols with full-strength cryptography world-wide.  The project is
managed by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL tookit and its related
documentation.

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes.

This package contains the static library you can use to develop
statically linked OpenSSL-based applications for MinGW32 target.

%prep
%setup -q -n openssl-%version
%patch1 -p1

%build
./Configure shared zlib threads \
	--prefix=%_archprefix \
	mingw-linux

# SMP-incompatible.
%make

%install
%make_install INSTALL_PREFIX=%buildroot install
%__install -D -m 644 cryptoeay32-%libversion.dll %buildroot%_archbindir/
%__install -D -m 644 ssleay32-%libversion.dll %buildroot%_archbindir/

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/*.dll
%exclude %_archprefix/ssl/man
%exclude %_archlibdir/engines
%exclude %_archbindir/openssl
%exclude %_archbindir/c_rehash
%exclude %_archprefix/ssl/misc
%exclude %_archprefix/ssl/openssl.cnf

%files devel
%_archincludedir/*
%_archlibdir/*.dll.a
%_archlibdir/pkgconfig/*

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Sat Mar 11 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.9.8a-alt1
- Build for i386-mingw32msvc target.


